Newer version already installed and Error 1722 while installing Adobe Acrobat Reader DC

New Here ,
Sep 18, 2020

Copy link to clipboard

Copied

When i try to install latest version of adobe acrobat reader dc it shows "Newer version already installed" in the online installer and Error 1722 in the offline installer. Please help me to resolve the issue because i need it urgently.

 

TOPICS
Download and install, General troubleshooting, Windows

Views

44

Likes

Translate

Translate

Report

Report
Reply
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more

Have something to add?

Join the conversation